TSHTTPHDRLENGTHGET(3ts)

NAME
TSHttpHdrLengthGet - TSHttpHdrLengthGet API function

SYNOPSIS

            #include <ts/ts.h>

    int TSHttpHdrLengthGet(TSMBuffer bufp, TSMLoc mloc)

DESCRIPTION

Return the length in characters of the HTTP header specified by bufp and mloc which must specify a valid HTTP header. Usually these values would have been obtained via an earlier call to TSHttpTxnServerReqGet(), TSHttpTxnClientReqGet(), TSHttpTxnServerRespGet(), TSHttpTxnClientRespGet(), or via calls to create a new HTTP header such as TSHttpHdrCreate().

COPYRIGHT
2026, dev@trafficserver.apache.org